# ApiRollingUpgradeClusterArgs Data Model

Rolling upgrade arguments used in the CDH Upgrade Command. Part of ApiCdhUpgradeArgs.

Properties
name | data type | description
--- | --- | ---
slaveBatchSize | number | Number of slave roles to restart at a time. Must be greater than zero. Default is 1. Please note that for HDFS, this number should be less than the replication factor (default 3) to ensure data availability during rolling restart.
sleepSeconds | number | Number of seconds to sleep between restarts of slave role batches. Must be greater than or equal to 0. Default is 0.
slaveFailCountThreshold | number | The threshold for number of slave batches that are allowed to fail to restart before the entire command is considered failed. Must be greather than or equal to 0. Default is 0. This argument is for ADVANCED users only.

Example

    {
      "slaveBatchSize" : 12345,
      "sleepSeconds" : 12345,
      "slaveFailCountThreshold" : 12345
    }